Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.util
Class CaseInsensitiveMap<V>

    java.lang.Object
      java.util.AbstractMap<java.lang.String,V>
          org.apache.tapestry5.ioc.util.CaseInsensitiveMap<V>

Type Parameters:
  `V` - the type of value stored

All Implemented Interfaces:
  java.io.Serializable, java.util.Map<java.lang.String,V>

    public class CaseInsensitiveMap<V>

extends java.util.AbstractMap<java.lang.String,V>
implements java.io.Serializable

An mapped collection where the keys are always strings and access to values is case-insensitive. The case of keys in the map is maintained, but on any access to a key (directly or indirectly), all key comparisons are performed in a case-insensitive manner. The map implementation is intended to support a reasonably finite number (dozens or hundreds, not thousands or millions of key/value pairs. Unlike HashMap, it is based on a sorted list of entries rather than hash bucket. It is also geared towards a largely static map, one that is created and then used without modification.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`CaseInsensitiveMap()`
`CaseInsensitiveMap(int size)`
`CaseInsensitiveMap(java.util.Map<java.lang.String,? extends V> map)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(java.lang.Object key)`
`java.util.Set<java.util.Map.Entry<java.lang.String,V>>` | `entrySet()`
`V` | `get(java.lang.Object key)`
`boolean` | `isEmpty()`
`V` | `put(java.lang.String key, V value)`
`V` | `remove(java.lang.Object key)`
`int` | `size()`

Methods inherited from class java.util.AbstractMap
`clone, containsValue, equals, hashCode, keySet, putAll, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CaseInsensitiveMap

    public CaseInsensitiveMap()

### CaseInsensitiveMap

    public CaseInsensitiveMap(int size)

### CaseInsensitiveMap

    public CaseInsensitiveMap(java.util.Map<java.lang.String,? extends V> map)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `clear` in class `java.util.AbstractMap<java.lang.String,V>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `isEmpty` in class `java.util.AbstractMap<java.lang.String,V>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `size` in class `java.util.AbstractMap<java.lang.String,V>`

### put

    public V put(java.lang.String key,
                 V value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `put` in class `java.util.AbstractMap<java.lang.String,V>`

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `containsKey` in class `java.util.AbstractMap<java.lang.String,V>`

### get

    public V get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `get` in class `java.util.AbstractMap<java.lang.String,V>`

### remove

    public V remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,V>`
  Overrides:
    `remove` in class `java.util.AbstractMap<java.lang.String,V>`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,V>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,V>`
  Specified by:
    `entrySet` in class `java.util.AbstractMap<java.lang.String,V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.